package steiner;

public class Dijkstra {
	private Heap heap;
	private int n;
	
	/**
	 * create algorithm instance handling instances with n vertices
	 * @param n
	 */
	public Dijkstra(int n) {
		this.n = n;
		heap = new Heap(n);
	}
	
	/**
	 *  Calculate shortest paths from source to the other vertices in a graph of size n.
	 *  
	 * @param w w[i][j] is the weight of the j-th outgoing edge from vertex i
	 * to vertex neighbor[i][j]
	 * @param source index of the source vertex
	 * @param deg degrees of the vertices
	 * @param neighbors the adjacency list representation of the graph, where
	 * neighbors[i][j] is the j-th neighbor of i
	 * @param d the returned shortest path distances from the source to all vertices.
	 * d[i] should be the shortest path distance from the source to vertex i.
	 * @param pred the returned predecessors for tracing back the path. pred[i] is
	 * supposed to be the last vertex before i on the shortest path from the source
	 * to i.
	 * @return Distances in array d and predecessors in array pred.
	 * By convention, pred[source] should be set to source
	 */
	public void calculatePaths(int source,
			int deg[], int neighbors[][], double w[][],
			double d[], int pred[]) {
		// FILL IN THIS FUNCTION
	}
}
