package steiner;

public class Prim {
	private Heap heap;
	private int n;
	
	/**
	 * Create an algorithm instance for finding trees on graphs on size n
	 * @param n size of graph
	 */
	public Prim(int n) {
		this.n = n;
		heap = new Heap(n);
	}
	
	/**
	 *  Calculate minimum spanning tree from vertex source 
	 *  in a graph of size n.
	 *  
	 * @param w w[i][j] is the weight of the j-th edge from i
	 * @param source index of the source vertex
	 * @param deg degrees of the vertices
	 * @param neighbors the adjacency list representation of the graph, where
	 * neighbors[i][j] is the j-th neighbor of i
	 * @return spanning tree consisting of edges from pred[i] to i for all i != source.
	 * By convention, pred[source] should be set to source
	 */
	public void calculateTree(int source,
			int deg[], int neighbors[][], double w[][],
			int pred[]) {
		// FILL IN THIS FUNCTION
	}
}
